<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.entity (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.entity (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/mastersync/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/entity/id/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.entity</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegistrationAuditDates.html" title="interface in io.mosip.registration.entity">RegistrationAuditDates</a></td>
<td class="colLast">
<div class="block">Interface to retrieve the start and end <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql"><code>Timestamp</code></a> of the audit logs
 sent along with the packet</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/AppAuthenticationMethod.html" title="class in io.mosip.registration.entity">AppAuthenticationMethod</a></td>
<td class="colLast">
<div class="block">The Entity Class for AppAuthenticationMethod</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/AppDetail.html" title="class in io.mosip.registration.entity">AppDetail</a></td>
<td class="colLast">
<div class="block">The Entity Class for AppDetail.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ApplicantValidDocument.html" title="class in io.mosip.registration.entity">ApplicantValidDocument</a></td>
<td class="colLast">
<div class="block">Entity class for valid document.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Application.html" title="class in io.mosip.registration.entity">Application</a></td>
<td class="colLast">
<div class="block">The Entity Class for Application.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/AppRolePriority.html" title="class in io.mosip.registration.entity">AppRolePriority</a></td>
<td class="colLast">
<div class="block">The Entity Class for AppRolePriority</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/AuditLogControl.html" title="class in io.mosip.registration.entity">AuditLogControl</a></td>
<td class="colLast">
<div class="block">Entity for maintaining the audit logs sent along with the registration packet</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/BiometricAttribute.html" title="class in io.mosip.registration.entity">BiometricAttribute</a></td>
<td class="colLast">
<div class="block">The Entity Class for BiometricAttribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/BiometricType.html" title="class in io.mosip.registration.entity">BiometricType</a></td>
<td class="colLast">
<div class="block">The Entity Class for BiometricType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity">BlacklistedWords</a></td>
<td class="colLast">
<div class="block">The Entity Class for blacklisted words.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/CenterMachine.html" title="class in io.mosip.registration.entity">CenterMachine</a></td>
<td class="colLast">
<div class="block">The Entity Class for Center Machine details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/DocumentCategory.html" title="class in io.mosip.registration.entity">DocumentCategory</a></td>
<td class="colLast">
<div class="block">The Entity Class for DocumentCategory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a></td>
<td class="colLast">
<div class="block">The Entity Class for DocumentType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Gender.html" title="class in io.mosip.registration.entity">Gender</a></td>
<td class="colLast">
<div class="block">The Entity Class for Gender.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/GlobalParam.html" title="class in io.mosip.registration.entity">GlobalParam</a></td>
<td class="colLast">
<div class="block">The Entity Class for Global param</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Holiday.html" title="class in io.mosip.registration.entity">Holiday</a></td>
<td class="colLast">
<div class="block">The Entity Class for Holiday.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/IdType.html" title="class in io.mosip.registration.entity">IdType</a></td>
<td class="colLast">
<div class="block">The Entity class for IdType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity">IndividualType</a></td>
<td class="colLast">
<div class="block">The Entity Class for IndividualType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/KeyStore.html" title="class in io.mosip.registration.entity">KeyStore</a></td>
<td class="colLast">
<div class="block">The Entity Class for KeyStore.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity">Language</a></td>
<td class="colLast">
<div class="block">The Entity Class for language</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a></td>
<td class="colLast">
<div class="block">The Entity Class for Location.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity">MachineMaster</a></td>
<td class="colLast">
<div class="block">The Entity Class for Machine master details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/MachineType.html" title="class in io.mosip.registration.entity">MachineType</a></td>
<td class="colLast">
<div class="block">The Entity Class for MachineType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/MasterCommonFields.html" title="class in io.mosip.registration.entity">MasterCommonFields</a></td>
<td class="colLast">
<div class="block">The Entity Class for MasterCommonFields.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a></td>
<td class="colLast">
<div class="block">The Entity Class for Pre Registration entity.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ProcessList.html" title="class in io.mosip.registration.entity">ProcessList</a></td>
<td class="colLast">
<div class="block">The Entity Class for ProcessList.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">ReasonCategory</a></td>
<td class="colLast">
<div class="block">The Entity Class for ReasonCategory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity">ReasonList</a></td>
<td class="colLast">
<div class="block">The Entity Class for ReasonList.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity">RegCenterDevice</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Center Device .</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegCenterUser.html" title="class in io.mosip.registration.entity">RegCenterUser</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Center User details.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Centre Machine Device details.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity">RegDeviceMaster</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Device Master details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegDeviceSpec.html" title="class in io.mosip.registration.entity">RegDeviceSpec</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Device Spec details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity">RegDeviceType</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Device Type details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></td>
<td class="colLast">
<div class="block">The Entity Class for Registration details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity">RegistrationCenter</a></td>
<td class="colLast">
<div class="block">The Entity Class for Registration Center details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegistrationCenterType.html" title="class in io.mosip.registration.entity">RegistrationCenterType</a></td>
<td class="colLast">
<div class="block">The Entity class for Registration CenterType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a></td>
<td class="colLast">
<div class="block">The Entity Class for RegistrationCommonFields.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegistrationTransaction.html" title="class in io.mosip.registration.entity">RegistrationTransaction</a></td>
<td class="colLast">
<div class="block">The enity class for Registration Transaction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity">RegMachineSpec</a></td>
<td class="colLast">
<div class="block">The Entity Class for Reg Machine Spec.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ScreenAuthorization.html" title="class in io.mosip.registration.entity">ScreenAuthorization</a></td>
<td class="colLast">
<div class="block">The Entity Class for Screen Authorization details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></td>
<td class="colLast">
<div class="block">The Entity class for SyncControl.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a></td>
<td class="colLast">
<div class="block">The Entity class for sync job def</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></td>
<td class="colLast">
<div class="block">The Entity class for sync control</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Template.html" title="class in io.mosip.registration.entity">Template</a></td>
<td class="colLast">
<div class="block">The Entity Class for Template details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/TemplateCommonFields.html" title="class in io.mosip.registration.entity">TemplateCommonFields</a></td>
<td class="colLast">
<div class="block">The Entity Class for TemplateCommonFields.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/TemplateEmbeddedKeyCommonFields.html" title="class in io.mosip.registration.entity">TemplateEmbeddedKeyCommonFields</a></td>
<td class="colLast">
<div class="block">Composite Key for TemplateType entity</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/TemplateFileFormat.html" title="class in io.mosip.registration.entity">TemplateFileFormat</a></td>
<td class="colLast">
<div class="block">The Entity Class for Template FileFormat details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/TemplateType.html" title="class in io.mosip.registration.entity">TemplateType</a></td>
<td class="colLast">
<div class="block">The Entity Class for TemplateType details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/Title.html" title="class in io.mosip.registration.entity">Title</a></td>
<td class="colLast">
<div class="block">The Entity Class for mapping title to master data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/UserBiometric.html" title="class in io.mosip.registration.entity">UserBiometric</a></td>
<td class="colLast">
<div class="block">The Entity Class for UserBiometric details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a></td>
<td class="colLast">
<div class="block">The Entity Class for User Detail details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a></td>
<td class="colLast">
<div class="block">The Entity Class for User Machine Mapping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/UserPassword.html" title="class in io.mosip.registration.entity">UserPassword</a></td>
<td class="colLast">
<div class="block">The Entity Class for User Password details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/UserRole.html" title="class in io.mosip.registration.entity">UserRole</a></td>
<td class="colLast">
<div class="block">The Entity Class for User Role details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity">ValidDocument</a></td>
<td class="colLast">
<div class="block">The Entity Class for valid document.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/mastersync/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/entity/id/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
